/*
** 1998-08-15 -	Header for the icon utility module.
*/

#if !defined(ICONUTIL_H)
#define	ICONUTIL_H

typedef struct _IconInfo	IconInfo;

IconInfo *	ico_initialize(MainInfo *min);

GList *		ico_get_all(MainInfo *min, const gchar *path);
void		ico_free_all(GList *list);

GdkPixmap *	ico_icon_get(MainInfo *min, GdkWindow *win, const gchar *name, GdkBitmap **mask);

void		ico_flush(MainInfo *min);

#endif		/* ICONUTIL_H */
